"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const uikitStyles = require("@hitachivantara/uikit-styles");
const focusUtils = require("../utils/focusUtils.cjs");
const { staticClasses, useClasses } = uikitReactUtils.createClasses("HvAvatar", {
  root: {
    fontSize: "1rem"
  },
  img: {
    width: "100%",
    height: "100%",
    textAlign: "center",
    // Handle non-square image. The property isn't supported by IE 11.
    objectFit: "cover",
    // Hide alt text.
    color: "transparent",
    // Hide the image broken icon, only works on Chrome.
    textIndent: 1e4
  },
  fallback: {},
  /** @deprecated use `classes.container` instead */
  status: {},
  container: {
    display: "flex",
    alignItems: "center",
    position: "relative",
    padding: uikitStyles.theme.space.xxs,
    height: "fit-content",
    ":focus-visible": {
      ...focusUtils.outlineStyles,
      borderRadius: 0
    }
  },
  xs: { width: 24, height: 24, fontSize: "0.5rem" },
  sm: { width: 32, height: 32, fontSize: "0.625rem" },
  md: { width: 40, height: 40, fontSize: "1rem" },
  lg: { width: 52, height: 52, fontSize: "1.5rem" },
  xl: { width: 88, height: 88, fontSize: "2rem" },
  avatar: { borderRadius: "inherit" },
  badge: {
    width: 8,
    height: 8,
    position: "absolute",
    top: 0,
    right: 0,
    borderRadius: uikitStyles.theme.radii.full,
    zIndex: 1
  },
  circular: { borderRadius: uikitStyles.theme.radii.full },
  square: {}
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
