"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const Callout = require("../../utils/Callout.cjs");
const BannerContent_styles = require("./BannerContent.styles.cjs");
const HvBannerContent = React.forwardRef(function HvBannerContent2(props, ref) {
  const {
    id,
    classes: classesProp,
    className,
    showIcon,
    customIcon,
    variant = "default",
    onClose,
    actions,
    actionsCallback,
    // TODO - remove in v6
    onAction,
    actionsPosition = "auto",
    content,
    children,
    actionProps,
    ...others
  } = uikitReactUtils.useDefaultProps("HvBannerContent", props);
  const { classes, cx } = BannerContent_styles.useClasses(classesProp);
  return /* @__PURE__ */ jsxRuntime.jsx(
    Callout.HvCallout,
    {
      ref,
      id,
      variant,
      showClose: true,
      showIcon,
      customIcon,
      classes: {
        root: cx(
          classes.root,
          classes.outContainer,
          classes.baseVariant,
          classes[variant],
          className
        ),
        message: classes.message,
        action: classes.action,
        messageIcon: classes.iconContainer,
        messageContent: classes.messageContainer,
        actionCustom: classes.messageActions,
        actionContent: cx(
          classes.actionContainer,
          classes.actionsInnerContainer
        ),
        actionClose: classes.closeAction
      },
      actions,
      actionsPosition,
      actionProps,
      onClose: (evt) => onClose?.(evt),
      onAction: (evt, action) => {
        onAction?.(evt, action);
        actionsCallback?.(evt, id, action);
      },
      ...others,
      children: children ?? content
    }
  );
});
exports.bannerContentClasses = BannerContent_styles.staticClasses;
exports.HvBannerContent = HvBannerContent;
