"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const uikitStyles = require("@hitachivantara/uikit-styles");
const hover = {
  backgroundColor: uikitStyles.theme.colors.bgHover,
  cursor: "pointer"
};
const { staticClasses, useClasses } = uikitReactUtils.createClasses("HvCalendarCell", {
  cellContainer: {},
  calendarDate: {
    display: "flex",
    justifyContent: "center",
    flexDirection: "column",
    textAlign: "center",
    height: "40px",
    width: "40px"
  },
  calendarDateSelected: {
    backgroundColor: uikitStyles.theme.colors.bgPageSecondary,
    color: uikitStyles.theme.colors.text,
    "&:hover": {
      ...hover
    }
  },
  calendarDateNotInMonth: {
    color: uikitStyles.theme.colors.textDisabled,
    cursor: "not-allowed"
  },
  calendarDateInSelectionRange: {
    backgroundColor: uikitStyles.theme.colors.bgPageSecondary
  },
  calendarDateDisabled: {
    color: uikitStyles.theme.colors.textDisabled,
    cursor: "no-drop"
  },
  startBookend: {
    borderLeft: `1px solid ${uikitStyles.theme.colors.text}`
  },
  endBookend: {
    borderRight: `1px solid ${uikitStyles.theme.colors.text}`
  },
  dateWrapper: {
    width: "40px",
    height: "40px"
  },
  cellsInRange: {
    "&:focus": {
      outside: "none"
    }
  },
  cellsOutsideRange: {
    "&:focus": {
      outside: "none"
    }
  }
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
