"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const uikitStyles = require("@hitachivantara/uikit-styles");
const focusUtils = require("../utils/focusUtils.cjs");
const { staticClasses, useClasses } = uikitReactUtils.createClasses("HvCard", {
  root: {
    overflow: "visible",
    position: "relative",
    outline: `1px solid ${uikitStyles.theme.colors.border}`,
    "--rt": 0,
    "--rb": uikitStyles.theme.radii.round,
    borderRadius: `var(--rt) var(--rt) var(--rb) var(--rb)`,
    backgroundColor: "var(--bg-color)",
    "&:focus-visible": {
      ...focusUtils.outlineStyles
    },
    "&:focus": {
      outline: "none"
    }
  },
  selected: {
    "&,&:hover,&:focus": {
      outlineColor: uikitStyles.theme.colors.text
    }
  },
  selectable: {
    "&:hover": {
      outlineColor: uikitStyles.theme.colors.primary
    }
  },
  semanticContainer: {
    position: "relative",
    "& > *": {
      position: "absolute",
      zIndex: 1
    }
  },
  icon: {
    top: uikitStyles.theme.space.xs,
    right: uikitStyles.theme.space.xs
  },
  semanticBar: {
    backgroundColor: `var(--bar-color, ${uikitStyles.theme.colors.border})`,
    height: "var(--bar-height, 2px)",
    width: "100%",
    top: -1,
    right: 0
  }
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
