"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const utils = require("../Calendar/utils.cjs");
const validateDate = (date) => utils.isDate(date) && date || /* @__PURE__ */ new Date();
const getFormattedDateRange = (date, locale) => {
  const { startDate, endDate } = date;
  const monthYear = `${utils.getMonthName(
    startDate,
    locale,
    "short"
  )} ${startDate.getFullYear()}`;
  return `${startDate.getDate()} - ${endDate?.getDate()} ${monthYear}`;
};
const getSingleDateLabel = (date, locale) => utils.isDate(date) ? utils.getFormattedDate(date, locale) : "";
const getRangeDateLabel = ({ startDate, endDate }, locale) => {
  if (!(utils.isDate(startDate) && utils.isDate(endDate)))
    return getSingleDateLabel(startDate);
  return utils.isSameMonth(startDate, endDate) ? getFormattedDateRange({ startDate, endDate }, locale) : `${utils.getFormattedDate(startDate, locale)} - ${utils.getFormattedDate(
    endDate,
    locale
  )}`;
};
const getDateLabel = (date, rangeMode, locale) => rangeMode ? getRangeDateLabel(date, locale) : getSingleDateLabel(date, locale);
exports.getDateLabel = getDateLabel;
exports.getFormattedDateRange = getFormattedDateRange;
exports.getRangeDateLabel = getRangeDateLabel;
exports.getSingleDateLabel = getSingleDateLabel;
exports.validateDate = validateDate;
