"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const MuiDialogContent = require("@mui/material/DialogContent");
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const Content_styles = require("./Content.styles.cjs");
const Typography = require("../../Typography/Typography.cjs");
const _interopDefault = (e) => e && e.__esModule ? e : { default: e };
const MuiDialogContent__default = /* @__PURE__ */ _interopDefault(MuiDialogContent);
const HvDialogContent = (props) => {
  const {
    classes: classesProp,
    className,
    children,
    indentContent = false,
    ...others
  } = uikitReactUtils.useDefaultProps("HvDialogContent", props);
  const { classes, cx } = Content_styles.useClasses(classesProp);
  return /* @__PURE__ */ jsxRuntime.jsx(
    Typography.HvTypography,
    {
      component: MuiDialogContent__default.default,
      className: cx(
        classes.root,
        { [classes.textContent]: !!indentContent },
        className
      ),
      ...others,
      children
    }
  );
};
exports.dialogContentClasses = Content_styles.staticClasses;
exports.HvDialogContent = HvDialogContent;
