"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const uikitStyles = require("@hitachivantara/uikit-styles");
const { useClasses, staticClasses } = uikitReactUtils.createClasses("HvDotPagination", {
  root: {
    display: "flex",
    justifyContent: "center"
  },
  horizontal: {
    width: "auto",
    gap: uikitStyles.theme.space.xs
  },
  /** @deprecated use `classes.radio` instead */
  radioRoot: {},
  radio: {
    height: 16,
    width: 16,
    minWidth: 24,
    minHeight: 24,
    color: "inherit",
    borderRadius: uikitStyles.theme.radii.full,
    ":hover,:focus-within": {
      backgroundColor: uikitStyles.theme.colors.bgHover
    }
  },
  icon: {
    display: "flex",
    alignItems: "center",
    justifyContent: "center",
    minWidth: 0,
    width: 16,
    height: 16,
    color: "inherit",
    "&& svg": {
      color: "inherit",
      border: "none",
      width: "unset",
      height: "unset"
    },
    "& > div": {
      color: uikitStyles.theme.colors.text,
      backgroundColor: "currentcolor",
      width: "1em",
      height: "1em",
      borderRadius: uikitStyles.theme.radii.full
    }
  }
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
