"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const uikitStyles = require("@hitachivantara/uikit-styles");
const Button_styles = require("../Button/Button.styles.cjs");
require("../Button/Button.cjs");
const disabledStyle = {
  [`&,&.${Button_styles.staticClasses.subtle},&.${Button_styles.staticClasses.ghost}`]: {
    backgroundColor: uikitStyles.theme.colors.bgDisabled,
    borderColor: uikitStyles.theme.colors.bgDisabled,
    "&:hover": { backgroundColor: uikitStyles.theme.colors.bgDisabled }
  }
};
const { staticClasses, useClasses } = uikitReactUtils.createClasses("HvDropdownButton", {
  root: {
    userSelect: "none",
    position: "relative",
    [`&:not(.${Button_styles.staticClasses.icon})`]: {
      width: "100%",
      minWidth: "unset",
      justifyContent: "flex-start",
      paddingLeft: uikitStyles.theme.space.xs
    }
  },
  disabled: {
    ...disabledStyle
  },
  readOnly: {
    userSelect: "text",
    ...disabledStyle
  },
  open: {
    backgroundColor: uikitStyles.theme.colors.bgContainer
  },
  selection: {
    color: "inherit",
    flex: 1,
    textAlign: "start",
    overflow: "auto",
    textOverflow: "ellipsis",
    whiteSpace: "nowrap"
  },
  placeholder: {},
  arrowContainer: {
    marginRight: uikitStyles.theme.spacing(-2)
  }
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
