"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const setId = require("../../utils/setId.cjs");
const FileList_styles = require("./FileList.styles.cjs");
const File = require("../File/File.cjs");
const HvFileList = (props) => {
  const {
    id,
    classes: classesProp,
    list = [],
    removeFileButtonLabel,
    onFileRemoved
  } = uikitReactUtils.useDefaultProps("HvFileList", props);
  const { classes } = FileList_styles.useClasses(classesProp);
  const hasFiles = list.length > 0;
  if (!hasFiles) return null;
  return /* @__PURE__ */ jsxRuntime.jsx("ul", { id: setId.setId(id, "list"), className: classes.root, children: list.map((data) => /* @__PURE__ */ jsxRuntime.jsx(
    File.HvFile,
    {
      classes: { root: classes?.listItem },
      data,
      onFileRemoved,
      removeFileButtonLabel
    },
    data.id
  )) });
};
exports.fileListClasses = FileList_styles.staticClasses;
exports.HvFileList = HvFileList;
