"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const FilterGroupContext = require("../FilterGroupContext.cjs");
const Counter_styles = require("./Counter.styles.cjs");
const getExistingFiltersById = (idx, filterValues, filterOptions) => {
  let total = 0;
  filterValues[idx]?.forEach((fv) => {
    if (filterOptions[idx]?.data.find((f) => f.id === fv)) {
      total += 1;
    }
  });
  return total;
};
const HvFilterGroupCounter = (props) => {
  const {
    className,
    groupId,
    classes: classesProp
  } = uikitReactUtils.useDefaultProps("HvFilterGroupCounter", props);
  const { classes, cx } = Counter_styles.useClasses(classesProp);
  const {
    filterOptions,
    filterValues = [],
    appliedFilters = []
  } = React.useContext(FilterGroupContext.HvFilterGroupContext);
  const options = groupId && filterOptions.find((option) => option.id === groupId) ? [filterOptions.find((option) => option.id === groupId)] : filterOptions;
  const optionIdx = filterOptions.findIndex((option) => option.id === groupId);
  let groupsCounter = 0;
  appliedFilters.forEach((fg, i) => {
    groupsCounter += getExistingFiltersById(i, filterValues, filterOptions);
  });
  const partialCounter = groupId ? getExistingFiltersById(optionIdx, filterValues, filterOptions) || 0 : groupsCounter;
  const totalCounter = options.reduce(
    (acc, option) => acc + option.data.length,
    0
  );
  return /* @__PURE__ */ jsxRuntime.jsxs("div", { className: cx(classes.root, className), children: [
    partialCounter > 0 ? /* @__PURE__ */ jsxRuntime.jsx("p", { className: classes.partialCounter, children: partialCounter }) : partialCounter,
    ` / ${totalCounter}`
  ] });
};
exports.filterGroupCounterClasses = Counter_styles.staticClasses;
exports.HvFilterGroupCounter = HvFilterGroupCounter;
