"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const uikitStyles = require("@hitachivantara/uikit-styles");
const { staticClasses, useClasses } = uikitReactUtils.createClasses("HvFooter", {
  root: {
    display: "flex",
    alignItems: "center",
    flexDirection: "row",
    gap: uikitStyles.theme.space.xs,
    padding: uikitStyles.theme.spacing("xs", "sm"),
    height: 40,
    bottom: 0,
    zIndex: uikitStyles.theme.zIndices.base,
    backgroundColor: uikitStyles.theme.colors.bgContainer,
    boxShadow: `0 -1px 0 ${uikitStyles.theme.colors.border}`
  },
  name: {},
  rightContainer: {
    display: "flex",
    alignItems: "center",
    flexDirection: "row",
    marginLeft: "auto"
  },
  copyright: {},
  separator: {
    width: 1,
    height: 16,
    backgroundColor: uikitStyles.theme.colors.text,
    margin: uikitStyles.theme.spacing("xs", "sm")
  },
  small: {
    "&$root": {
      height: "unset",
      flexDirection: "column",
      padding: uikitStyles.theme.space.xs
    },
    "& $rightContainer": {
      display: "contents"
    },
    "& $separator": { display: "none" }
  }
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
