"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const SelectionContext = require("../utils/SelectionContext.cjs");
const Bar_styles = require("./Bar.styles.cjs");
const Bar = (props) => {
  const {
    id,
    data = [],
    type = "menubar",
    className,
    children,
    classes: classesProp
  } = uikitReactUtils.useDefaultProps("HvHeaderMenuBarBar", props);
  const { classes, cx } = Bar_styles.useClasses(classesProp);
  const selectionPath = React.useContext(SelectionContext.SelectionContext);
  const isMenu = type === "menu";
  const isActive = isMenu && data.filter((item) => item.id === selectionPath?.[1]).length > 0;
  return /* @__PURE__ */ jsxRuntime.jsx(
    "div",
    {
      className: cx(
        classes.root,
        classes[type],
        {
          [classes.hidden]: isMenu,
          [classes.active]: isActive
        },
        className
      ),
      children: /* @__PURE__ */ jsxRuntime.jsx("ul", { className: classes.list, id, onFocus: () => {
      }, children })
    }
  );
};
exports.headerMenuBarClasses = Bar_styles.staticClasses;
exports.Bar = Bar;
