"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const generic = require("../types/generic.cjs");
const Button = require("../Button/Button.cjs");
const Tooltip = require("../Tooltip/Tooltip.cjs");
const HvIconButton = generic.fixedForwardRef(function HvIconButton2(props, ref) {
  const {
    title,
    placement = "top",
    enterDelay = 500,
    tooltipProps,
    ...others
  } = uikitReactUtils.useDefaultProps("HvIconButton", props);
  return /* @__PURE__ */ jsxRuntime.jsx(
    Tooltip.HvTooltip,
    {
      title,
      enterDelay,
      placement,
      ...tooltipProps,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        Button.HvButton,
        {
          icon: true,
          ref,
          focusableWhenDisabled: true,
          ...others
        }
      )
    }
  );
});
exports.HvIconButton = HvIconButton;
