"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const Link_styles = require("./Link.styles.cjs");
const HvLink = (props) => {
  const {
    onClick,
    classes: classesProp,
    className,
    route,
    data,
    children,
    ...others
  } = uikitReactUtils.useDefaultProps("HvLink", props);
  const { classes, cx } = Link_styles.useClasses(classesProp);
  return /* @__PURE__ */ jsxRuntime.jsx(
    "a",
    {
      href: route,
      onClick: (event) => {
        if (!onClick) return;
        event.preventDefault();
        onClick?.(event, data);
      },
      className: cx(classes.a, className),
      ...others,
      children
    }
  );
};
exports.linkClasses = Link_styles.staticClasses;
exports.HvLink = HvLink;
