"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const SimpleGrid_styles = require("./SimpleGrid.styles.cjs");
const HvSimpleGrid = (props) => {
  const {
    children,
    breakpoints,
    spacing,
    cols,
    className,
    classes: classesProp,
    ...others
  } = uikitReactUtils.useDefaultProps("HvSimpleGrid", props);
  const { classes, cx, css } = SimpleGrid_styles.useClasses(classesProp);
  const containerStyle = SimpleGrid_styles.getContainerStyle(breakpoints, spacing, cols);
  return /* @__PURE__ */ jsxRuntime.jsx(
    "div",
    {
      className: cx(css(containerStyle), classes.root, className),
      ...others,
      children
    }
  );
};
exports.simpleGridClasses = SimpleGrid_styles.staticClasses;
exports.HvSimpleGrid = HvSimpleGrid;
