"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const reactTable = require("react-table");
const getHeaderPropsHook = (props, { column }) => {
  const resizerProps = column.getResizerProps?.() || {};
  resizerProps.onClick = (e) => {
    e.preventDefault();
    e.stopPropagation();
  };
  const nextProps = {
    resizable: column.canResize,
    resizing: column.isResizing,
    resizerProps
  };
  return [props, nextProps];
};
const getCellPropsHook = (props, { cell }) => {
  const nextProps = {
    resizable: cell.column.canResize,
    resizing: cell.column.isResizing
  };
  return [props, nextProps];
};
const useInstanceHook = (instance) => {
  reactTable.ensurePluginOrder(
    instance.plugins,
    ["useResizeColumns"],
    "useHvResizeColumns"
  );
};
const useHvResizeColumns = (hooks) => {
  hooks.getHeaderProps.push(getHeaderPropsHook);
  hooks.getCellProps.push(getCellPropsHook);
  hooks.useInstance.push(useInstanceHook);
};
useHvResizeColumns.pluginName = "useHvResizeColumns";
exports.useHvResizeColumns = useHvResizeColumns;
