"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const uikitStyles = require("@hitachivantara/uikit-styles");
const { staticClasses, useClasses } = uikitReactUtils.createClasses("HvTag", {
  root: {
    display: "inline-flex",
    alignItems: "center",
    justifyContent: "center",
    cursor: "default",
    color: uikitStyles.theme.colors.textDark,
    borderColor: uikitStyles.theme.colors.border,
    borderRadius: 0,
    maxWidth: 180,
    whiteSpace: "nowrap",
    transition: "background-color 0.3s ease",
    "&,:hover,:focus-visible": {
      backgroundColor: "var(--tagColor)"
    },
    "& div:has($deleteIcon)": {
      // ensure icon container doesn't grow into $label
      width: "max-content",
      lineHeight: 0
    }
  },
  hasIcon: {
    paddingLeft: 2
  },
  /** @deprecated */
  outlined: {
    outlineStyle: "solid"
  },
  /** @deprecated */
  categorical: {
    borderRadius: 8,
    "& $label": {
      color: uikitStyles.theme.colors.text
    },
    "& $icon": {
      display: "none"
    }
  },
  xs: {
    height: 16
  },
  sm: {
    height: 24,
    "& $label": {
      ...uikitStyles.theme.typography.caption1,
      color: "inherit"
    }
  },
  md: {
    height: 32,
    "& $label": {
      ...uikitStyles.theme.typography.body,
      color: "inherit"
    }
  },
  disabled: {
    "&,:hover,:focus-visible": {
      backgroundColor: uikitStyles.theme.colors.bgDisabled
    },
    "& $label": {
      color: uikitStyles.theme.colors.textDisabled
    }
  },
  label: {
    padding: uikitStyles.theme.spacing(0, "xxs"),
    color: "inherit"
  },
  deleteIcon: {
    margin: 0,
    padding: 2,
    ":hover": {
      backgroundColor: uikitStyles.theme.colors.bgHover
    }
  },
  selected: {},
  clickable: {
    cursor: "pointer"
  },
  // TODO: remove in favour of `hasIcon` once it's no longer needed
  icon: {
    fontSize: 12
  },
  /** @deprecated use `root` instead */
  chipRoot: {},
  /** @deprecated unused */
  // TODO: redundant - use deleteIcon. remove in v6
  /** @deprecated */
  button: {},
  /** @deprecated */
  tagButton: {},
  // TODO: redundant - use $clickable or :not($disabled). remove in v6
  /** @deprecated */
  focusVisible: {},
  /** @deprecated */
  disabledDeleteIcon: {},
  /** @deprecated */
  categoricalFocus: {},
  /** @deprecated */
  categoricalDisabled: {}
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
