"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const utils = require("../Calendar/utils.cjs");
const generic = require("../types/generic.cjs");
const TimeAgo_styles = require("./TimeAgo.styles.cjs");
const useTimeAgo = require("./useTimeAgo.cjs");
const Typography = require("../Typography/Typography.cjs");
const HvTimeAgo = generic.fixedForwardRef(function HvTimeAgo2(props, ref) {
  const {
    classes: classesProp,
    className,
    timestamp,
    locale = utils.DEFAULT_LOCALE,
    component: Component = Typography.HvTypography,
    emptyElement = "—",
    disableRefresh = false,
    showSeconds = false,
    justText = false,
    ...others
  } = uikitReactUtils.useDefaultProps("HvTimeAgo", props);
  const { classes, cx } = TimeAgo_styles.useClasses(classesProp);
  const timeAgo = useTimeAgo.default(timestamp, {
    locale,
    disableRefresh,
    showSeconds
  });
  if (justText && timestamp) return /* @__PURE__ */ jsxRuntime.jsx(jsxRuntime.Fragment, { children: timeAgo });
  return /* @__PURE__ */ jsxRuntime.jsx(Component, { ref, className: cx(classes.root, className), ...others, children: !timestamp ? emptyElement : timeAgo });
});
exports.timeAgoClasses = TimeAgo_styles.staticClasses;
exports.HvTimeAgo = HvTimeAgo;
