"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const typographyVariants = [
  "display",
  "title1",
  "title2",
  "title3",
  "title4",
  "body",
  "label",
  "captionLabel",
  "caption1",
  "caption2"
];
const mappableVariants = /* @__PURE__ */ new Map([
  ["3xlTitle", "display"],
  ["xlTitle", "title1"],
  ["mTitle", "title2"],
  ["xsTitle", "title3"],
  ["highlightText", "label"],
  ["normalText", "body"],
  ["vizText", "caption1"]
]);
const mapVariant = (variant, theme) => {
  if (theme === "ds3") return variant;
  const mappedVariant = mappableVariants.get(variant);
  return mappedVariant || variant;
};
exports.mapVariant = mapVariant;
exports.typographyVariants = typographyVariants;
