"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const VerticalNavigationContext = require("../VerticalNavigationContext.cjs");
const Actions_styles = require("./Actions.styles.cjs");
const HvVerticalNavigationActions = (props) => {
  const {
    className,
    classes: classesProp,
    children,
    ...others
  } = uikitReactUtils.useDefaultProps("HvVerticalNavigationActions", props);
  const { classes, cx } = Actions_styles.useClasses(classesProp);
  const { isOpen, useIcons } = React.useContext(VerticalNavigationContext.VerticalNavigationContext);
  return /* @__PURE__ */ jsxRuntime.jsx(
    "div",
    {
      className: cx(
        classes.root,
        {
          [classes.hide]: !isOpen && !useIcons
        },
        className
      ),
      ...others,
      children
    }
  );
};
exports.actionsClasses = Actions_styles.staticClasses;
exports.HvVerticalNavigationActions = HvVerticalNavigationActions;
