"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactUtils = require("@hitachivantara/uikit-react-utils");
const uikitStyles = require("@hitachivantara/uikit-styles");
const { staticClasses, useClasses } = uikitReactUtils.createClasses(
  "HvVerticalNavigation",
  {
    root: {
      display: "flex",
      flexDirection: "column",
      justifyContent: "flex-start",
      width: "220px",
      backgroundColor: uikitStyles.theme.colors.bgContainer,
      boxShadow: uikitStyles.theme.colors.shadow,
      clipPath: "inset(0px -12px 0px 0px)",
      "& > :only-child": {
        padding: uikitStyles.theme.space.sm
      },
      "& > :not(nav:first-of-type)": {
        borderTop: `3px solid ${uikitStyles.theme.colors.borderSubtle}`,
        padding: uikitStyles.theme.spacing("xs", "sm", "sm", "sm")
      },
      "& > :first-of-type:not(:last-child)": {
        borderTop: "none",
        padding: uikitStyles.theme.spacing("sm", "sm", "xs", "sm")
      }
    },
    collapsed: {
      width: "fit-content",
      "& > :first-of-type:not(:last-child)": {
        padding: uikitStyles.theme.spacing("sm", "xs", "xs", "xs")
      },
      "& > :not(nav:first-of-type)": {
        padding: uikitStyles.theme.spacing("xs", "xs", "sm", "xs")
      }
    },
    slider: {
      "& > div:first-of-type": {
        borderBottom: `3px solid ${uikitStyles.theme.colors.borderSubtle}`
      }
    },
    childData: {}
  }
);
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
