"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const React = require("react");
const useComputation = (valueFn, valueFallback) => {
  const computed = React.useRef(null);
  const [value, setValue] = React.useState(valueFallback);
  const computeValue = () => {
    if (!computed.current) {
      setValue(valueFn?.());
      computed.current = true;
    }
  };
  return [value, computeValue];
};
exports.useComputation = useComputation;
