import { jsxs, jsx } from "react/jsx-runtime";
import { HvIcon } from "../../icons.js";
import { useClasses } from "./PathElement.styles.js";
import { staticClasses } from "./PathElement.styles.js";
const HvPathElement = ({
  classes: classesProp,
  last = false,
  children
}) => {
  const { classes } = useClasses(classesProp);
  return /* @__PURE__ */ jsxs("li", { className: classes.centerContainer, children: [
    children,
    !last && /* @__PURE__ */ jsx(
      HvIcon,
      {
        name: "CaretRight",
        size: "xs",
        className: classes.separatorContainer,
        color: "textDisabled"
      }
    )
  ] });
};
export {
  HvPathElement,
  staticClasses as pathElementClasses
};
