import { jsx } from "react/jsx-runtime";
import MuiCardContent from "@mui/material/CardContent";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { useClasses } from "./Content.styles.js";
import { staticClasses } from "./Content.styles.js";
const HvCardContent = (props) => {
  const {
    id,
    classes: classesProp,
    className,
    children,
    onClick,
    ...others
  } = useDefaultProps("HvCardContent", props);
  const { classes, cx } = useClasses(classesProp);
  return /* @__PURE__ */ jsx(
    MuiCardContent,
    {
      id,
      className: cx(classes.content, className),
      onClick,
      ...others,
      children
    }
  );
};
export {
  HvCardContent,
  staticClasses as cardContentClasses
};
