import { jsxs, jsx } from "react/jsx-runtime";
import { Swatch } from "react-color/lib/components/common";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { getColor } from "@hitachivantara/uikit-styles";
import { useClasses } from "./PresetColors.styles.js";
import { staticClasses } from "./PresetColors.styles.js";
import { HvTypography } from "../../Typography/Typography.js";
const PresetColors = (props) => {
  const {
    onClick,
    colors,
    title,
    className,
    classes: classesProp
  } = useDefaultProps("HvColorPickerPresetColors", props);
  const { classes, cx } = useClasses(classesProp);
  const handleClick = (hex) => {
    onClick({
      hex,
      source: "hex"
    });
  };
  return /* @__PURE__ */ jsxs("div", { className: cx(classes.root, className), children: [
    title && /* @__PURE__ */ jsx(HvTypography, { className: classes.title, variant: "caption1", children: title }),
    /* @__PURE__ */ jsx("div", { className: classes.colors, children: colors.map((color, index) => /* @__PURE__ */ jsx(
      "div",
      {
        className: classes.swatchWrap,
        children: /* @__PURE__ */ jsx(
          Swatch,
          {
            color,
            style: { backgroundColor: getColor(color) },
            onClick: handleClick,
            focusStyle: {
              boxShadow: `inset 0 0 0 1px rgba(0,0,0,.15), 0 0 4px ${color}`
            }
          }
        )
      },
      `recommended-color-${color}-${index}`
    )) })
  ] });
};
export {
  PresetColors,
  staticClasses as colorPickerPresetColorsClasses
};
