import { jsxs, jsx } from "react/jsx-runtime";
import { useContext } from "react";
import { setId } from "../../utils/setId.js";
import { HvControlsContext } from "../context/ControlsContext.js";
import { useClasses } from "./LeftControl.styles.js";
import { staticClasses } from "./LeftControl.styles.js";
import { HvInput } from "../../Input/Input.js";
const HvLeftControl = ({
  id,
  classes: classesProp,
  className,
  children,
  placeholder = "Search",
  onSearch,
  hideSearch = false,
  searchProps,
  ...others
}) => {
  const { classes, cx } = useClasses(classesProp);
  const { onSearch: onSearchHandler } = useContext(HvControlsContext);
  const onChangeFilter = (e, value) => {
    onSearch?.(e, value);
    onSearchHandler?.(value);
  };
  return /* @__PURE__ */ jsxs("div", { id, className: cx(classes.root, className), ...others, children: [
    !hideSearch && /* @__PURE__ */ jsx(
      HvInput,
      {
        id: setId(id, "search-input"),
        type: "search",
        placeholder,
        onChange: onChangeFilter,
        ...searchProps
      }
    ),
    children
  ] });
};
export {
  HvLeftControl,
  staticClasses as leftControlClasses
};
