import { jsx } from "react/jsx-runtime";
import MuiDialogActions from "@mui/material/DialogActions";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { useDialogContext } from "../context.js";
import { useClasses } from "./Actions.styles.js";
import { staticClasses } from "./Actions.styles.js";
const HvDialogActions = (props) => {
  const {
    classes: classesProp,
    className,
    children,
    fullscreen: fullScreenProp,
    ...others
  } = useDefaultProps("HvDialogActions", props);
  const context = useDialogContext();
  const fullScreen = fullScreenProp ?? context.fullScreen;
  const { classes, cx } = useClasses(classesProp);
  return /* @__PURE__ */ jsx(
    MuiDialogActions,
    {
      className,
      classes: {
        root: cx(classes.root, { [classes.fullscreen]: fullScreen }),
        spacing: classes.spacing
      },
      ...others,
      children
    }
  );
};
export {
  HvDialogActions,
  staticClasses as dialogActionClasses
};
