import { jsx } from "react/jsx-runtime";
import MuiDialogContent from "@mui/material/DialogContent";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { useClasses } from "./Content.styles.js";
import { staticClasses } from "./Content.styles.js";
import { HvTypography } from "../../Typography/Typography.js";
const HvDialogContent = (props) => {
  const {
    classes: classesProp,
    className,
    children,
    indentContent = false,
    ...others
  } = useDefaultProps("HvDialogContent", props);
  const { classes, cx } = useClasses(classesProp);
  return /* @__PURE__ */ jsx(
    HvTypography,
    {
      component: MuiDialogContent,
      className: cx(
        classes.root,
        { [classes.textContent]: !!indentContent },
        className
      ),
      ...others,
      children
    }
  );
};
export {
  HvDialogContent,
  staticClasses as dialogContentClasses
};
