import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { HvIcon } from "../icons.js";
import { useClasses } from "./DropdownButton.styles.js";
import { staticClasses } from "./DropdownButton.styles.js";
import { HvButton } from "../Button/Button.js";
const HvDropdownButton = forwardRef(function HvDropdownButton2(props, ref) {
  const {
    className,
    classes: classesProp,
    placement = "bottom",
    disabled,
    open,
    icon,
    readOnly,
    children: childrenProp,
    variant,
    ...others
  } = useDefaultProps("HvDropdownButton", props);
  const { classes, cx } = useClasses(classesProp, false);
  const endIcon = !icon && /* @__PURE__ */ jsx(HvIcon, { name: "CaretDown", size: "xs", rotate: open });
  const children = childrenProp && typeof childrenProp === "string" ? /* @__PURE__ */ jsx("div", { className: classes.placeholder, children: childrenProp }) : childrenProp;
  return /* @__PURE__ */ jsx(
    HvButton,
    {
      ref,
      icon,
      disabled: disabled || readOnly,
      "data-popper-placement": placement,
      className: cx(
        classes.root,
        {
          [classes.open]: open,
          [classes.disabled]: disabled,
          [classes.readOnly]: readOnly
        },
        className
      ),
      classes: { endIcon: classes.arrowContainer },
      endIcon,
      variant: open ? "secondarySubtle" : variant,
      ...others,
      children: icon ? children : /* @__PURE__ */ jsx("div", { className: classes.selection, children })
    }
  );
});
export {
  HvDropdownButton,
  staticClasses as dropdownButtonClasses
};
