import { jsx } from "react/jsx-runtime";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { setId } from "../../utils/setId.js";
import { useClasses } from "./FileList.styles.js";
import { staticClasses } from "./FileList.styles.js";
import { HvFile } from "../File/File.js";
const HvFileList = (props) => {
  const {
    id,
    classes: classesProp,
    list = [],
    removeFileButtonLabel,
    onFileRemoved
  } = useDefaultProps("HvFileList", props);
  const { classes } = useClasses(classesProp);
  const hasFiles = list.length > 0;
  if (!hasFiles) return null;
  return /* @__PURE__ */ jsx("ul", { id: setId(id, "list"), className: classes.root, children: list.map((data) => /* @__PURE__ */ jsx(
    HvFile,
    {
      classes: { root: classes?.listItem },
      data,
      onFileRemoved,
      removeFileButtonLabel
    },
    data.id
  )) });
};
export {
  HvFileList,
  staticClasses as fileListClasses
};
