import { jsxs, jsx } from "react/jsx-runtime";
import { useContext } from "react";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { HvFilterGroupContext } from "../FilterGroupContext.js";
import { useClasses } from "./Counter.styles.js";
import { staticClasses } from "./Counter.styles.js";
const getExistingFiltersById = (idx, filterValues, filterOptions) => {
  let total = 0;
  filterValues[idx]?.forEach((fv) => {
    if (filterOptions[idx]?.data.find((f) => f.id === fv)) {
      total += 1;
    }
  });
  return total;
};
const HvFilterGroupCounter = (props) => {
  const {
    className,
    groupId,
    classes: classesProp
  } = useDefaultProps("HvFilterGroupCounter", props);
  const { classes, cx } = useClasses(classesProp);
  const {
    filterOptions,
    filterValues = [],
    appliedFilters = []
  } = useContext(HvFilterGroupContext);
  const options = groupId && filterOptions.find((option) => option.id === groupId) ? [filterOptions.find((option) => option.id === groupId)] : filterOptions;
  const optionIdx = filterOptions.findIndex((option) => option.id === groupId);
  let groupsCounter = 0;
  appliedFilters.forEach((fg, i) => {
    groupsCounter += getExistingFiltersById(i, filterValues, filterOptions);
  });
  const partialCounter = groupId ? getExistingFiltersById(optionIdx, filterValues, filterOptions) || 0 : groupsCounter;
  const totalCounter = options.reduce(
    (acc, option) => acc + option.data.length,
    0
  );
  return /* @__PURE__ */ jsxs("div", { className: cx(classes.root, className), children: [
    partialCounter > 0 ? /* @__PURE__ */ jsx("p", { className: classes.partialCounter, children: partialCounter }) : partialCounter,
    ` / ${totalCounter}`
  ] });
};
export {
  HvFilterGroupCounter,
  staticClasses as filterGroupCounterClasses
};
