import { jsxs, jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { useClasses } from "./Brand.styles.js";
import { staticClasses } from "./Brand.styles.js";
import { HvTypography } from "../../Typography/Typography.js";
const HvHeaderBrand = forwardRef(function HvHeaderBrand2(props, ref) {
  const {
    classes: classesProp,
    logo,
    name,
    className,
    ...others
  } = useDefaultProps("HvHeaderBrand", props);
  const { classes, cx } = useClasses(classesProp);
  return /* @__PURE__ */ jsxs("div", { ref, className: cx(classes.root, className), ...others, children: [
    logo,
    logo && name && /* @__PURE__ */ jsx("div", { className: classes.separator }),
    name && /* @__PURE__ */ jsx(HvTypography, { className: classes.brandName, variant: "label", children: name })
  ] });
});
export {
  HvHeaderBrand,
  staticClasses as headerBrandClasses
};
