import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { useClasses } from "./Header.styles.js";
import { staticClasses } from "./Header.styles.js";
const HvHeader = forwardRef(function HvHeader2(props, ref) {
  const {
    className,
    classes: classesProp,
    children,
    position = "fixed",
    ...others
  } = useDefaultProps("HvHeader", props);
  const { classes, cx } = useClasses(classesProp);
  return /* @__PURE__ */ jsx(
    "header",
    {
      ref,
      style: { position },
      className: cx(
        classes.root,
        classes.backgroundColor,
        { [classes.fixed]: position === "fixed" },
        className
      ),
      ...others,
      children: /* @__PURE__ */ jsx("div", { className: classes.header, children })
    }
  );
});
export {
  HvHeader,
  staticClasses as headerClasses
};
