import { jsx } from "react/jsx-runtime";
import { useContext } from "react";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { SelectionContext } from "../utils/SelectionContext.js";
import { useClasses } from "./Bar.styles.js";
import { staticClasses } from "./Bar.styles.js";
const Bar = (props) => {
  const {
    id,
    data = [],
    type = "menubar",
    className,
    children,
    classes: classesProp
  } = useDefaultProps("HvHeaderMenuBarBar", props);
  const { classes, cx } = useClasses(classesProp);
  const selectionPath = useContext(SelectionContext);
  const isMenu = type === "menu";
  const isActive = isMenu && data.filter((item) => item.id === selectionPath?.[1]).length > 0;
  return /* @__PURE__ */ jsx(
    "div",
    {
      className: cx(
        classes.root,
        classes[type],
        {
          [classes.hidden]: isMenu,
          [classes.active]: isActive
        },
        className
      ),
      children: /* @__PURE__ */ jsx("ul", { className: classes.list, id, onFocus: () => {
      }, children })
    }
  );
};
export {
  Bar,
  staticClasses as headerMenuBarClasses
};
