import { jsx } from "react/jsx-runtime";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { useClasses } from "./Link.styles.js";
import { staticClasses } from "./Link.styles.js";
const HvLink = (props) => {
  const {
    onClick,
    classes: classesProp,
    className,
    route,
    data,
    children,
    ...others
  } = useDefaultProps("HvLink", props);
  const { classes, cx } = useClasses(classesProp);
  return /* @__PURE__ */ jsx(
    "a",
    {
      href: route,
      onClick: (event) => {
        if (!onClick) return;
        event.preventDefault();
        onClick?.(event, data);
      },
      className: cx(classes.a, className),
      ...others,
      children
    }
  );
};
export {
  HvLink,
  staticClasses as linkClasses
};
