import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { useClasses } from "./Login.styles.js";
import { staticClasses } from "./Login.styles.js";
const HvLogin = forwardRef(function HvLogin2(props, ref) {
  const {
    className,
    classes: classesProp,
    children,
    background,
    ...others
  } = useDefaultProps("HvLogin", props);
  const { classes, cx } = useClasses(classesProp);
  return /* @__PURE__ */ jsx(
    "div",
    {
      ref,
      className: cx(classes.root, className),
      style: {
        backgroundImage: background && `url(${background})`
      },
      ...others,
      children: /* @__PURE__ */ jsx("div", { className: classes.formContainer, children })
    }
  );
});
export {
  HvLogin,
  staticClasses as loginClasses
};
