import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { HvIcon } from "../icons.js";
import { useClasses } from "./SearchInput.styles.js";
import { HvInput } from "../Input/Input.js";
import { HvAdornment } from "../FormElement/Adornment/Adornment.js";
const HvSearchInput = forwardRef(function HvSearchInput2(props, ref) {
  const { classes: classesProp, ...others } = useDefaultProps(
    "HvSearchInput",
    props
  );
  const { classes } = useClasses(classesProp);
  return /* @__PURE__ */ jsx(
    HvInput,
    {
      ref,
      type: "search",
      disableSearchButton: true,
      startAdornment: /* @__PURE__ */ jsx(HvAdornment, { icon: /* @__PURE__ */ jsx(HvIcon, { compact: true, name: "Search" }) }),
      classes,
      ...others
    }
  );
});
export {
  HvSearchInput
};
