import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { OptionGroup } from "@mui/base/OptionGroup";
import { createClasses, useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { theme } from "@hitachivantara/uikit-styles";
const { staticClasses, useClasses } = createClasses("HvOptionGroup", {
  root: {
    listStyle: "none",
    ...theme.typography.label
  }
});
const HvOptionGroup = forwardRef(
  function HvOptionGroup2(props, ref) {
    const {
      className,
      classes: classesProp,
      ...others
    } = useDefaultProps("HvOptionGroup", props);
    const { classes, cx } = useClasses(classesProp);
    return /* @__PURE__ */ jsx(
      OptionGroup,
      {
        ref,
        className: cx(classes.root, className),
        ...others
      }
    );
  }
);
export {
  HvOptionGroup,
  staticClasses as optionGroupClasses
};
