import { jsx } from "react/jsx-runtime";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { useClasses, getContainerStyle } from "./SimpleGrid.styles.js";
import { staticClasses } from "./SimpleGrid.styles.js";
const HvSimpleGrid = (props) => {
  const {
    children,
    breakpoints,
    spacing,
    cols,
    className,
    classes: classesProp,
    ...others
  } = useDefaultProps("HvSimpleGrid", props);
  const { classes, cx, css } = useClasses(classesProp);
  const containerStyle = getContainerStyle(breakpoints, spacing, cols);
  return /* @__PURE__ */ jsx(
    "div",
    {
      className: cx(css(containerStyle), classes.root, className),
      ...others,
      children
    }
  );
};
export {
  HvSimpleGrid,
  staticClasses as simpleGridClasses
};
