import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { useUniqueId } from "../../hooks/useUniqueId.js";
import { useClasses } from "./TableSection.styles.js";
import { staticClasses } from "./TableSection.styles.js";
import { HvSection } from "../../Section/Section.js";
const HvTableSection = forwardRef(
  function HvTableSection2(props, ref) {
    const {
      id,
      classes: classesProp,
      children,
      ...others
    } = useDefaultProps("HvTableSection", props);
    const { classes } = useClasses(classesProp);
    const elementId = useUniqueId(id);
    return /* @__PURE__ */ jsx(HvSection, { id: elementId, ref, classes, ...others, children });
  }
);
export {
  HvTableSection,
  staticClasses as tableSectionClasses
};
