import { jsx } from "react/jsx-runtime";
import { useMemo } from "react";
import dayjs from "dayjs";
import { HvOverflowTooltip } from "../../OverflowTooltip/OverflowTooltip.js";
const HvDateColumnCell = ({
  date,
  dateFormat
}) => {
  const formattedDate = useMemo(() => {
    if (date)
      return dayjs(date).format(
        dateFormat !== "ISO8601" ? dateFormat : void 0
      );
    return "—";
  }, [date, dateFormat]);
  return /* @__PURE__ */ jsx(HvOverflowTooltip, { data: formattedDate });
};
export {
  HvDateColumnCell
};
