const EM_DASH = "—";
const DefaultCell = ({
  row,
  value
}) => {
  switch (true) {
    case row.subRows.length > 0:
      return value;
    case value instanceof Date:
      return value.toISOString().slice(0, 10);
    case typeof value === "object":
      return value;
    case (value == null || value === ""):
      return EM_DASH;
    default:
      return String(value);
  }
};
export {
  DefaultCell
};
