import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import Tab from "@mui/material/Tab";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { useClasses } from "./Tab.styles.js";
import { staticClasses } from "./Tab.styles.js";
const HvTab = forwardRef(function HvTab2(props, ref) {
  const {
    classes: classesProp,
    iconPosition = "top",
    disabled = false,
    ...others
  } = useDefaultProps("HvTab", props);
  const { classes, cx } = useClasses(classesProp);
  return /* @__PURE__ */ jsx(
    Tab,
    {
      ref,
      classes: {
        root: classes.root,
        selected: classes.selected,
        disabled: classes.disabled
      },
      focusVisibleClassName: cx("HvIsFocusVisible", classes.focusVisible),
      disabled,
      iconPosition,
      ...others
    }
  );
});
export {
  HvTab,
  staticClasses as tabClasses
};
