import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import Tabs from "@mui/material/Tabs";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { useClasses } from "./Tabs.styles.js";
import { staticClasses } from "./Tabs.styles.js";
const HvTabs = forwardRef(function HvTabs2(props, ref) {
  const {
    classes: classesProp,
    floating,
    ...others
  } = useDefaultProps("HvTabs", props);
  const { classes, cx } = useClasses(classesProp);
  return /* @__PURE__ */ jsx(
    Tabs,
    {
      ref,
      classes: {
        root: cx(classes.root, { [classes.floating]: floating }),
        flexContainer: classes.flexContainer,
        indicator: classes.indicator,
        scroller: classes.scroller
      },
      ...others
    }
  );
});
export {
  HvTabs,
  staticClasses as tabsClasses
};
