import { jsx } from "react/jsx-runtime";
import { useContext, createContext } from "react";
import { DescendantProvider } from "./DescendantProvider.js";
const DEFAULT_TREE_VIEW_CONTEXT_VALUE = {
  instance: null,
  multiSelect: false,
  disabledItemsFocusable: false,
  treeId: void 0,
  icons: {
    defaultCollapseIcon: null,
    defaultExpandIcon: null,
    defaultParentIcon: null,
    defaultEndIcon: null
  }
};
const TreeViewContext = createContext(
  DEFAULT_TREE_VIEW_CONTEXT_VALUE
);
const TreeViewProvider = (props) => {
  const { value, children } = props;
  return /* @__PURE__ */ jsx(TreeViewContext.Provider, { value, children: /* @__PURE__ */ jsx(DescendantProvider, { children }) });
};
const useTreeViewContext = () => useContext(TreeViewContext);
export {
  DEFAULT_TREE_VIEW_CONTEXT_VALUE,
  TreeViewContext,
  TreeViewProvider,
  useTreeViewContext
};
