import { jsx } from "react/jsx-runtime";
import { useContext } from "react";
import { useDefaultProps } from "@hitachivantara/uikit-react-utils";
import { VerticalNavigationContext } from "../VerticalNavigationContext.js";
import { useClasses } from "./Actions.styles.js";
import { staticClasses } from "./Actions.styles.js";
const HvVerticalNavigationActions = (props) => {
  const {
    className,
    classes: classesProp,
    children,
    ...others
  } = useDefaultProps("HvVerticalNavigationActions", props);
  const { classes, cx } = useClasses(classesProp);
  const { isOpen, useIcons } = useContext(VerticalNavigationContext);
  return /* @__PURE__ */ jsx(
    "div",
    {
      className: cx(
        classes.root,
        {
          [classes.hide]: !isOpen && !useIcons
        },
        className
      ),
      ...others,
      children
    }
  );
};
export {
  HvVerticalNavigationActions,
  staticClasses as actionsClasses
};
