import { useRef, useState } from "react";
const useComputation = (valueFn, valueFallback) => {
  const computed = useRef(null);
  const [value, setValue] = useState(valueFallback);
  const computeValue = () => {
    if (!computed.current) {
      setValue(valueFn?.());
      computed.current = true;
    }
  };
  return [value, computeValue];
};
export {
  useComputation
};
